-- ------------------------------------------------------------------------------
-- rp:Friends
-- by Oraibi, Moon Guard (US) server
--
-- Ora's twitter: http://twitter.com/oraibimoonguard
--
-- ------------------------------------------------------------------------------
--
-- This work is licensed under the Creative Commons Attribution 4.0 International
-- (CC BY 4.0) license. To view a copy of the license, visit
--
--     https://creativecommons.org/licenses/by/4.0/
--
-- This license is acceptable for Free Cultural Works.
--
-- You are free to:
--
-- Share -- copy and redistribute the material in any medium or format
-- Adapt -- remix, transform, and build upon the material
--         for any purpose, even commercially.
-- 
-- The licensor cannot revoke these freedoms as long as you follow the 
-- license terms.
-- 
-- Under the following terms:
-- Attribution -- You must give appropriate credit, provide a link to the
--         license, and indicate if changes were made. You may do
--         so in any reasonable manner, but not in any way that
--         suggests the licensor endorses you or your use.
--
-- No additional restrictions -- You may not apply legal terms or
--         technological measures that legally restrict others from doing
--         anything the license permits.
--
-- Notices:
--
-- You do not have to comply with the license for elements of the material
-- in the public domain or where your use is permitted by an applicable
-- exception or limitation.
--
-- No warranties are given. The license may not give you all of the
-- permissions necessary for your intended use. For example, other rights
-- such as publicity, privacy, or moral rights may limit how you use the
-- material.
-- ------------------------------------------------------------------------------

-- Const: constants
--
-- available under RP_FRIENDS.const
--
local RP_FRIENDS = RP_FRIENDS;

table.insert(RP_FRIENDS.startup, function(state) -- startup function
  
  local GetAddOnMetadata = GetAddOnMetadata;
  
    -- ----------------- - Temporary values that are used later in rptags.globals
    --  
  local CFF               = "|cff";

  local BLACK             = "000000";
  local CYAN              = "ff3399";
  local GREEN             = "33ff33";
  local GREY              = "999999";
  local LIGHT_ORANGE      = "dd9933";
  local LITE_BLUE         = "00bbbb";
  local LITE_GREY         = "bbbbbb";
  local ORANGE            = "ff9966"; 
  local ORA_COLOR         = "bb00bb";
  local PINK              = "ff66ff";
  local RED               = "ff3333";
  local VIOLET            = "dd33aa";
  local WHITE             = "ffffff";
  local YELLOW            = "ffff66";

  local RESET             = "|r";
  local MALE              = 2;
  local NEUTER            = 1;
  local FEMALE            = 3 ;
  local THEY              = 8675309; -- this is a custom number used internally
  local GENDER_UNKNOWN    = 5552368; -- also a custom number
  local GENDER_DEFAULT    = NEUTER;
  
  RP_FRIENDS.const.CONFIG = { 
    DEFAULTS = {  
      COLOR_DEFAULT      = "fff2bf",
      COLOR_BN           = "82c5ff",
      COLOR_RP           = "1ae61a",
      COLOR_BACKDROP     = "000000",
      ALPHA              = 0.65,
      SCALE              = 1,
      BUTTON             = true, -- on by default
      CHANGES_MESSAGE    = true, -- on by default
      LOGIN_MESSAGE      = true, -- on by default
      ICON_ZOOM          = 3,

      -- --------------- - Things we can get from bnet
      SHOW_GAME           = false,
      SHOW_BATTLETAG      = true,  -- shown by default
      SHOW_BTAG_NOTE      = false,
      SHOW_BTAG_BROADCAST = false,
      SHOW_BTAG_BROADCAST_ICON = true, -- shown by default
      SHOW_GAME_ICON      = true,  -- shown by default

      -- ---------------- - Things we can get from wow
      SHOW_GAMENAME       = false,
      SHOW_SERVER_NAME    = true,  -- shown by default
      SHOW_SERVER_TYPE    = false,
      SHOW_SERVER_ICON    = false,
      SHOW_FACTION        = true,  -- shown by default
      SHOW_FACTION_ICON   = false,
      SHOW_GAMECLASS      = false,
      SHOW_GAMECLASS_ICON = false,
      SHOW_GAMESTATUS     = false,
      SHOW_GAMERACE       = false,
      SHOW_LOCATION       = false,
      SHOW_AFK            = false,
      SHOW_HONORIFIC      = false,
      SHOW_BUSY           = false,

      -- ---------------- - Things we get from the RP client
      SHOW_ICON           = true,  -- shown by default
      SHOW_NAME           = true,  -- shown by default
      SHOW_FAVORITE       = true,  -- shown by default
      SHOW_CLASS          = false,
      SHOW_RACE           = false,
      SHOW_TITLE          = false,
      SHOW_STATUS         = false,
      SHOW_GENDER_ICON    = false,
      SHOW_STATUS_ICON    = true,  -- shown by default
      SHOW_NOTE           = false,
      SHOW_NICKNAME       = false,
      SHOW_STATUS         = false,
      SHOW_LEVEL          = true,  -- shown by default
      SHOW_AGE            = false,
      SHOW_CURR           = false,
      SHOW_OOCINFO        = false,
      SHOW_NOTE_ICON      = true,  -- shown by default
      SHOW_CURR_ICON      = true,  -- shown by default

      -- ---------------- - configuration for the button bar
      SHOW_OTHER_BLIZZ_GAMES = false,

      INCLUDE_WOW         = true,  -- included by default
      INCLUDE_BSAP        = false, 
      INCLUDE_APP         = false,
      INCLUDE_DISCONNECT  = false,
      INCLUDE_D3          = false,
      INCLUDE_PRO         = false,
      INCLUDE_VIPR        = false,
      INCLUDE_S2          = false,
      INCLUDE_S1          = false,
      INCLUDE_WTCG        = false,
      INCLUDE_HERO        = false,
      INCLUDE_DST2        = false,

      BUTTON_ON_FRIENDSLIST = true,  -- shown by default

      ALSO_SHOW_OFF_SERVER = true,   -- included by default

      -- ---------------- - broadcast bar
      BCAST_BNET          = true,
      BCAST_CURR          = false,
      BCAST_INFO          = false,
    }, 
  } -- config

  return "settings";
end);  -- startup function
